Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Package maincanvas :: Module selectevents :: Class SelectEventsInputHandler |
[frames] | no frames]

# Class SelectEventsInputHandler

source code

                   object --+
                            |
    inputhandler.InputHandler --+
                                |
            selectbase.SelectBase --+
                                    |
                                   SelectEventsInputHandler

Instance Methods
__init__(self, state, timeline_canvas, cursor) x.__init__(...) initializes x; see help(type(x)) for signature | source code
end_action(self) | source code
Inherited from `selectbase.SelectBase`: `dragscroll_timer_fired`, `left_mouse_up`, `mouse_moved` Inherited from `inputhandler.InputHandler`: `left_mouse_down` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, state, timeline_canvas, cursor) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)